AssociateHostedZone
Associates a Route 53 private hosted zone with a Route 53 Global Resolver resource. This allows the resolver to resolve DNS queries for the private hosted zone from anywhere globally.
Important
Route 53 Global Resolver is a global service that supports resolvers in multiple AWS Regions but you must specify the
US East (Ohio) Region to create, update, or otherwise work with Route 53 Global Resolver resources. That is, for example,
specify
--region us-east-2
on AWS CLI commands.
Request Syntax
POST /hosted-zone-associations/hostedZoneId HTTP/1.1
Content-type: application/json
{
"name": "string",
"resourceArn": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- hostedZoneId
-
The ID of the Route 53 private hosted zone to associate with the Route 53 Global Resolver resource.
Length Constraints: Minimum length of 1. Maximum length of 32.
Required: Yes
Request Body
The request accepts the following data in JSON format.
- name
-
Name for the private hosted zone association.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
(?!^[0-9]+$)([a-zA-Z0-9-_/' ']+)Required: Yes
- resourceArn
-
An Amazon Resource Name (ARN) of the Route 53 Global Resolver the private hosted zone will be associated to.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:[-.a-z0-9]{1,63}:[-.a-z0-9]{1,63}:[-.a-z0-9]{0,63}:[-.a-z0-9]{0,63}:[^/].{0,1023}Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"createdAt": "string",
"hostedZoneId": "string",
"hostedZoneName": "string",
"id": "string",
"name": "string",
"resourceArn": "string",
"status": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- createdAt
-
The date and time the private hosted zone association was created.
Type: Timestamp
- hostedZoneId
-
ID of the private hosted zone.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 32.
- hostedZoneName
-
Name of the hosted zone (also the domain associated with the hosted zone).
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
- id
-
ID of the association.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+ - name
-
Name for the private hosted zone association.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
(?!^[0-9]+$)([a-zA-Z0-9-_/' ']+) - resourceArn
-
An Amazon Resource Name (ARN) of the Route 53 Global Resolver the private hosted zone is associated to.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:[-.a-z0-9]{1,63}:[-.a-z0-9]{1,63}:[-.a-z0-9]{0,63}:[-.a-z0-9]{0,63}:[^/].{0,1023} - status
-
Aggregate status for all the AWS Regions in which the Route 53 Global Resolver exists.
Type: String
Valid Values:
CREATING | OPERATIONAL | DELETING - updatedAt
-
The date and time the private hosted zone association was modified.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You don't have permission to perform this operation. Check your IAM permissions and try again.
HTTP Status Code: 403
- ConflictException
-
The request conflicts with the current state of the resource. This can occur when trying to modify a resource that is not in a valid state for the requested operation.
- resourceId
-
The ID of the conflicting resource.
- resourceType
-
The type of the conflicting resource.
HTTP Status Code: 409
- InternalServerException
-
An internal server error occurred. Try again later.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify the resource ID and try again.
- resourceId
-
The unique ID of the resource referenced in the failed request.
- resourceType
-
The resource type of the resource referenced in the failed request.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request would exceed one or more service quotas. Check your current usage and quotas, then try again.
- quotaCode
-
The quota code recognized by the AWS Service Quotas service.
- resourceId
-
The unique ID of the resource referenced in the failed request.
- resourceType
-
The resource type of the resource referenced in the failed request.
- serviceCode
-
The code for the AWS service that owns the quota.
HTTP Status Code: 402
- ThrottlingException
-
The request was throttled due to too many requests. Wait a moment and try again.
- quotaCode
-
The quota code recognized by the AWS Service Quotas service.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
- serviceCode
-
The code for the AWS service that owns the quota.
HTTP Status Code: 429
- ValidationException
-
The input parameters are invalid. Check the parameter values and try again.
- fieldList
-
The list of fields that aren't valid.
- reason
-
Reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: